-- Change leader to a comma, ensure this happens before packages are loaded.
vim.g.mapleader = ','

-- Disable netrw in favor of nvim-tree
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

-- Configure basic Neovim settings.
require('general')

-- Configure key mappings not defined for plugins.
require('keymap')

-- This loads (lazily) all plugins and configures things like plugin-specific
-- key mappings.
require('plugin_management')

-- Initialize the color scheme, depends on plugins being available.
require('colorscheme')

-- Setup autocmd for metals - metals is a little weird and needs to load itself.
-- The plugin that's loaded just makes metals code available in the first place.
require('plugins/metals')

-- Setup treesitter, select the configs to load, etc.
require('plugins/treesitter')

require('plugins/lualine')
